User Snapshots

Get apply references (pipeline stages and agents)

GET
/api/user-snapshots/{id}/apply-refs

Returns the source pipeline-stage and agent references captured in the snapshot, plus the caller-organization pipelines and agents available as mapping targets when applying the snapshot.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/user-snapshots/string/apply-refs"
{  "stageRefs": [    {      "automationName": "Move to Contacted on first reply",      "field": "targetStage",      "value": "Contacted",      "refType": "pipelineStage",      "fieldLocation": "actions"    }  ],  "agentRefs": [],  "targetPipelines": [    {      "_id": "64eea1110000000000000010",      "name": "Sales Funnel",      "stages": [        {          "name": "New Lead",          "color": "#3B82F6"        },        {          "name": "Reached Out",          "color": "#F59E0B"        },        {          "name": "Closed Won",          "color": "#10B981"        }      ]    }  ],  "targetAgents": [    {      "_id": "64eea1110000000000000060",      "name": "Default Agent",      "description": "Standard AI agent."    }  ]}